/* Nav */
.navbar {
	--clr-white: 216 61% 18%;
	--clr-primary-blue: 0 0% 98%;
	--clr-sub-blue: 0 0% 95%;
}
.navMenu ul li a {
	font-weight: 400;
}

/* Banner */
#banner picture {
	width: 100%;
	height: min(calc(100vh - var(--nav-height)), 1320px);
}
#banner picture img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
}
.banner-content {
	font-size: clamp(12px, 0.5rem + 0.5vw, 1.25rem + 0.1vw);
	padding: 5.5rem 0;
	letter-spacing: 0.24em;
	line-height: 2.5em;
}
.banner-content span {
	letter-spacing: 0.14em;
}

/* Introduction */
#introduction {
	width: 100%;
}
#introduction .img-container {
	display: block;
	width: 100%;
	aspect-ratio: 16 /9;
	overflow: hidden;
}
#introduction img {
	width: 100%;
	object-fit: cover;
	object-position: bottom;
	max-width: 1000px;
	transition: 0.4s;
	transform-origin: 50% 90%;
}
#introduction img:hover {
	transform: scale(1.2) rotate(-3deg);
}
#introduction .clinic-introduction img:hover {
	transform: scale(1.2) rotate(1.5deg);
}
.clinic-introduction {
	background-color: hsl(var(--clr-primary-lightblue));
}
.technical-cooperation {
	background-color: hsl(var(--clr-primary-paleblue));
}
#introduction .content {
	width: max-content;
	margin: 0 auto;
	padding-top: 3rem;
	padding-bottom: 5rem;
}
#introduction .title .en {
	font-weight: 800;
	font-size: calc(1rem + 1vw);
	letter-spacing: 0.1em;
	border-bottom: solid 0.24rem hsl(var(--clr-primary-yellow));
	margin-bottom: 0.35em;
}
#introduction .title .ch {
	font-weight: 600;
	font-size: calc(0.75rem + 0.75vw);
	letter-spacing: 0.24em;
	margin-bottom: 1.2em;
}
#introduction .navigation a {
	display: block;
	color: hsl(var(--clr-primary-blue));
	font-size: calc(0.75rem + 0.7vw);
	font-weight: 300;
	letter-spacing: 0.2em;
	margin-bottom: 0.45em;
	transition: all 0.4s ease;
}
#introduction .navigation a:hover {
	font-weight: 500;
	letter-spacing: 0.24em;
}
/* Button Design */
#introduction .btn {
	width: 100%;
	margin: 0 auto;
}
#introduction button {
	background-color: transparent;
	border: none;
	margin-top: 2.4em;
}
#introduction button a {
	padding: 0.8rem calc(2rem + 2vw);
	display: block;
	border-radius: 1.5rem;
	border: solid 2px hsl(var(--clr-primary-blue));
	word-spacing: 0.24em;
	font-size: calc(0.75rem + 0.7vw);
	font-weight: 800;
	letter-spacing: 1.45px;
	color: hsl(var(--clr-primary-blue));
	transition: 0.4s linear;
}
#introduction button a:hover {
	background-color: hsl(var(--clr-primary-blue));
	color: hsl(var(--clr-white));
	letter-spacing: 0.08em;
}

/* Tablet (768px - 1023px) */
@media screen and (max-width: 1023px) {
	/* Banner */
	.banner-content {
		padding: 3rem 5rem 5rem;
	}

	.banner-content p {
		font-size: 1rem;
	}

	.banner-content br {
		display: none;
	}

	/* Introduction */
	#introduction {
		flex-direction: column;
	}
	#introduction .content {
		padding-bottom: 4rem;
	}
	#introduction .title {
		margin-bottom: 2rem;
	}
	#introduction .title .en {
		font-size: 1.7rem;
	}

	#introduction .title .ch {
		font-size: 1.3rem;
		text-align: center;
	}

	#introduction .navigation a {
		font-size: 1.1rem;
		text-align: center;
	}

	#introduction .btn {
		display: inline-flex;
		justify-content: center;
	}
	#introduction button {
		margin-top: 1.6rem;
	}
	#introduction button a {
		padding: 0.6rem 1.5rem;
		font-size: 0.9rem;
	}
}

/* Mobile (767px and below) */
@media screen and (max-width: 767px) {
	/* Banner */
	#banner picture {
		height: 50vh;
	}

	.banner-content {
		padding: 2rem 8vw 4rem;
		font-size: 14px;
	}

	/* Introduction */
	#introduction button {
		margin-top: 1.7rem;
	}
}
